summaryrefslogtreecommitdiffstats
path: root/network/hakuneko
diff options
context:
space:
mode:
author Vijay Marcel2022-11-20 03:07:28 +0100
committer Willy Sudiarto Raharjo2022-11-20 03:07:28 +0100
commit9fffb105035dd064c7f87111e994d943933c8ecc (patch)
treed9481351e4d5478925fe733a103718734423a119 /network/hakuneko
parent45b32937b9e01f70e04857d191110e3f19495289 (diff)
downloadslackbuilds-9fffb105035dd064c7f87111e994d943933c8ecc.tar.gz
network/hakuneko: Added (Manga and Anime Downloader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/hakuneko')
-rw-r--r--network/hakuneko/README14
-rw-r--r--network/hakuneko/doinst.sh14
-rw-r--r--network/hakuneko/hakuneko.SlackBuild132
-rw-r--r--network/hakuneko/hakuneko.desktop9
-rw-r--r--network/hakuneko/hakuneko.info10
-rw-r--r--network/hakuneko/slack-desc19
6 files changed, 198 insertions, 0 deletions
diff --git a/network/hakuneko/README b/network/hakuneko/README
new file mode 100644
index 0000000000..ea9a249bc1
--- /dev/null
+++ b/network/hakuneko/README
@@ -0,0 +1,14 @@
+Hakuneko is a cross platform downloader for Manga and Anime
+from various websites.Hakuneko was made to help users
+downloading media for circumstances that require offline usage.
+The philosophy is ad-hoc consumption, get it when you going to
+watch it. It is not meant to be a mass downloader to stock up
+thousands of chapters that are just collected and will probably
+never be read.
+
+Note:
+This build will self update with changes in the master branch.
+
+After uninstalling Hakuneko make sure to remove the following
+folders $HOME/.config/hakuneko-desktop and
+$HOME/.cache/hakuneko-desktop
diff --git a/network/hakuneko/doinst.sh b/network/hakuneko/doinst.sh
new file mode 100644
index 0000000000..5b35a0a29e
--- /dev/null
+++ b/network/hakuneko/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/hakuneko/hakuneko.SlackBuild b/network/hakuneko/hakuneko.SlackBuild
new file mode 100644
index 0000000000..a333d3a7e3
--- /dev/null
+++ b/network/hakuneko/hakuneko.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/bash
+
+# Slackware build script for hakuneko
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hakuneko
+VERSION=${VERSION:-8.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86)
+ DEBARCH=i386
+ ARCH=i586
+ LIBDIRSUFFIX=""
+ ;;
+ x86_64)
+ DEBARCH=amd64
+ ARCH=x86_64
+ LIBDIRSUFFIX="64"
+ ;;
+ # unsupported
+ *)
+ echo "ARCH $( uname -m ) is unsupported"
+ exit 1
+ ;;
+ esac
+else
+ case "$ARCH" in
+ i?86)
+ DEBARCH=i386
+ LIBDIRSUFFIX=""
+ ;;
+ x86_64)
+ DEBARCH=amd64
+ LIBDIRSUFFIX="64"
+ ;;
+ # unsupported
+ *)
+ echo "$ARCH is unsupported"
+ exit 1
+ ;;
+ esac
+fi
+
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -pv $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+if [ "$DEBARCH" = "i386" ]; then
+ echo "Building for the 32-bit architecture"
+ mv -v $CWD/hakuneko-desktop_8.3.4_linux_i386.deb $CWD/$PRGNAM-$VERSION.deb
+ ar -x $CWD/$PRGNAM-$VERSION.deb
+ tar xvf data.tar.xz -C $PKG
+ mv -v $PKG/usr/share/man $PKG/usr/man
+elif [ "$DEBARCH" = "amd64" ]; then
+ echo "Building for the 64-bit architecture"
+ mv -v $CWD/hakuneko-desktop_8.3.4_linux_amd64.deb $CWD/$PRGNAM-$VERSION.deb
+ ar -x $CWD/$PRGNAM-$VERSION.deb
+ tar xvf data.tar.xz -C $PKG
+ mv -v $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+ mv -v $PKG/usr/share/man $PKG/usr/man
+ rm -rvf $PKG/usr/share/applications/hakuneko-desktop.desktop
+ cp -a $CWD/hakuneko.desktop $PKG/usr/share/applications/
+else
+ echo "This program is not supported"
+fi
+
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv -v $PKG/usr/share/doc/hakuneko-desktop/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rvf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/hakuneko/hakuneko.desktop b/network/hakuneko/hakuneko.desktop
new file mode 100644
index 0000000000..d04c10ee61
--- /dev/null
+++ b/network/hakuneko/hakuneko.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=HakuNeko Desktop
+Comment=Downloader
+Exec=/usr/lib64/hakuneko-desktop/hakuneko
+Icon=hakuneko-desktop
+Terminal=false
+Type=Application
+Categories=Network;FileTransfer;
+GenericName=Manga Downloader
diff --git a/network/hakuneko/hakuneko.info b/network/hakuneko/hakuneko.info
new file mode 100644
index 0000000000..952c6ce2f5
--- /dev/null
+++ b/network/hakuneko/hakuneko.info
@@ -0,0 +1,10 @@
+PRGNAM="hakuneko"
+VERSION="8.3.4"
+HOMEPAGE="https://hakuneko.download"
+DOWNLOAD="https://github.com/manga-download/hakuneko/releases/download/nightly-20200705.1/hakuneko-desktop_8.3.4_linux_i386.deb"
+MD5SUM="bdeb7eb96f74606c74c1359a8145a023"
+DOWNLOAD_x86_64="https://github.com/manga-download/hakuneko/releases/download/nightly-20200705.1/hakuneko-desktop_8.3.4_linux_amd64.deb"
+MD5SUM_x86_64="c6e5affbef2828708d806e890befe7db"
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/network/hakuneko/slack-desc b/network/hakuneko/slack-desc
new file mode 100644
index 0000000000..13fefc9555
--- /dev/null
+++ b/network/hakuneko/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hakuneko: hakuneko (Manga and Anime Downloader)
+hakuneko:
+hakuneko: Hakuneko is a cross platform downloader for Manga and Anime
+hakuneko: from various websites.Hakuneko was made to help users
+hakuneko: downloading media for circumstances that require offline usage.
+hakuneko: The philosophy is ad-hoc consumption, get it when you going to
+hakuneko: watch it. It is not meant to be a mass downloader to stock up
+hakuneko: thousands of chapters that are just collected and will probably
+hakuneko: never be read.
+hakuneko:
+hakuneko: Homepage:https://hakuneko.download